Package ghidra.app.plugin.processors.sleigh.expression

# Class EndInstructionValue

java.lang.Object
ghidra.app.plugin.processors.sleigh.expression.PatternExpression
ghidra.app.plugin.processors.sleigh.expression.PatternValue
ghidra.app.plugin.processors.sleigh.expression.EndInstructionValue

public class EndInstructionValue extends PatternValue
The integer offset of the address following the current instruction

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EndInstructionValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decode(Decoder decoder, SleighLanguage lang)`
  `boolean`
  `equals(Object obj)`
  `long`
  `getValue(ParserWalker walker)`
  `int`
  `hashCode()`
  `long`
  `maxValue()`
  `long`
  `minValue()`
  `String`
  `toString()`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.expression.PatternExpression

  `decodeExpression`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EndInstructionValue

    public EndInstructionValue()

- ## Method Details

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### minValue

    public long minValue()
    Specified by:
      `minValue` in class `PatternValue`

  - ### maxValue

    public long maxValue()
    Specified by:
      `maxValue` in class `PatternValue`

  - ### getValue

    public long getValue(ParserWalker walker) throws MemoryAccessException
    Specified by:
      `getValue` in class `PatternExpression`
    Throws:
      `MemoryAccessException`

  - ### decode

    public void decode(Decoder decoder, SleighLanguage lang) throws DecoderException
    Specified by:
      `decode` in class `PatternExpression`
    Throws:
      `DecoderException`

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `PatternExpression`